? work
? patches/patch-ad
Index: Makefile
===================================================================
RCS file: /cvsroot/pkgsrc-wip/wip/emacs-current/Makefile,v
retrieving revision 1.47
diff -u -u -r1.47 Makefile
--- Makefile	15 Dec 2009 06:44:32 -0000	1.47
+++ Makefile	11 Jun 2010 15:56:38 -0000
@@ -1,9 +1,9 @@
 # $NetBSD$
 #
 
-DISTNAME=	emacs-23.1.90
-PKGNAME=	emacs-23.1.90
-PKGREVISION=	${_CVS_PKGVERSION:S/.//g}
+DISTNAME=	emacs-24.0.50
+#PKGNAME=	emacs-24.0.50
+PKGREVISION=	${_GIT_PKGVERSION:S/.//g}
 CATEGORIES=	editors
 MASTER_SITES=	#
 
@@ -20,8 +20,9 @@
 
 BUILD_TARGET=	bootstrap
 
-CVS_REPOSITORIES=	emacs
-CVS_ROOT.emacs=		${CVS_ROOT_GNU}/emacs
+GIT_REPOSITORIES=	master
+GIT_REPO.master=	git://repo.or.cz/emacs.git
+_GIT_FLAGS?=	--depth 1
 
 GNU_CONFIGURE=		yes
 INFO_FILES=		yes
@@ -30,6 +31,8 @@
 
 WRKSRC=		${WRKDIR}/emacs
 
+DEPENDS+=       scmgit-base-[0-9]*:../../devel/scmgit-base
+
 CONFIGURE_ARGS+=	--srcdir=${WRKSRC:Q}
 CONFIGURE_ARGS+=	--localstatedir=${VARBASE:Q}
 CONFIGURE_ENV+=		GAMEOWN=${GAMEOWN:Q}
@@ -55,7 +58,11 @@
 post-extract:
 	cp ${FILESDIR}/site-init.el ${WRKSRC}/lisp
 
+.include "../../wip/mk/git-package.mk"
 .include "../../graphics/hicolor-icon-theme/buildlink3.mk"
 .include "../../mk/oss.buildlink3.mk"
-.include "../../wip/mk/cvs-package.mk"
 .include "../../mk/bsd.pkg.mk"
+
+
+#PKG_DEBUG_LEVEL?=       1
+#_PKG_SILENT=            # was @ here
Index: PLIST
===================================================================
RCS file: /cvsroot/pkgsrc-wip/wip/emacs-current/PLIST,v
retrieving revision 1.83
diff -u -u -r1.83 PLIST
--- PLIST	17 Dec 2009 14:16:57 -0000	1.83
+++ PLIST	11 Jun 2010 15:56:40 -0000
@@ -18,8 +18,8 @@
 info/dired-x
 info/ebrowse
 info/ede
-info/edt
 info/ediff
+info/edt
 info/efaq
 info/eieio
 info/eintr
@@ -64,10 +64,8 @@
 libexec/emacs/${PKGVERSION}/${MACHINE_GNU_PLATFORM}/hexl
 libexec/emacs/${PKGVERSION}/${MACHINE_GNU_PLATFORM}/movemail
 libexec/emacs/${PKGVERSION}/${MACHINE_GNU_PLATFORM}/profile
-libexec/emacs/${PKGVERSION}/${MACHINE_GNU_PLATFORM}/rcs2log
 libexec/emacs/${PKGVERSION}/${MACHINE_GNU_PLATFORM}/sorted-doc
 libexec/emacs/${PKGVERSION}/${MACHINE_GNU_PLATFORM}/update-game-score
-libexec/emacs/${PKGVERSION}/${MACHINE_GNU_PLATFORM}/vcdiff
 man/man1/b2m.1
 man/man1/ctags.1
 man/man1/ebrowse.1
@@ -109,6 +107,7 @@
 share/emacs/${PKGVERSION}/etc/NEWS.20
 share/emacs/${PKGVERSION}/etc/NEWS.21
 share/emacs/${PKGVERSION}/etc/NEWS.22
+share/emacs/${PKGVERSION}/etc/NEWS.23
 share/emacs/${PKGVERSION}/etc/NXML-NEWS
 share/emacs/${PKGVERSION}/etc/ORDERS
 share/emacs/${PKGVERSION}/etc/PROBLEMS
@@ -420,8 +419,16 @@
 share/emacs/${PKGVERSION}/etc/images/gud/print.xpm
 share/emacs/${PKGVERSION}/etc/images/gud/pstar.pbm
 share/emacs/${PKGVERSION}/etc/images/gud/pstar.xpm
+share/emacs/${PKGVERSION}/etc/images/gud/rcont.xpm
+share/emacs/${PKGVERSION}/etc/images/gud/recstart.xpm
+share/emacs/${PKGVERSION}/etc/images/gud/recstop.xpm
 share/emacs/${PKGVERSION}/etc/images/gud/remove.pbm
 share/emacs/${PKGVERSION}/etc/images/gud/remove.xpm
+share/emacs/${PKGVERSION}/etc/images/gud/rfinish.xpm
+share/emacs/${PKGVERSION}/etc/images/gud/rnext.xpm
+share/emacs/${PKGVERSION}/etc/images/gud/rnexti.xpm
+share/emacs/${PKGVERSION}/etc/images/gud/rstep.xpm
+share/emacs/${PKGVERSION}/etc/images/gud/rstepi.xpm
 share/emacs/${PKGVERSION}/etc/images/gud/run.pbm
 share/emacs/${PKGVERSION}/etc/images/gud/run.xpm
 share/emacs/${PKGVERSION}/etc/images/gud/step.pbm
@@ -1382,6 +1389,8 @@
 share/emacs/${PKGVERSION}/lisp/cedet/semantic/ia.elc
 share/emacs/${PKGVERSION}/lisp/cedet/semantic/idle.el.gz
 share/emacs/${PKGVERSION}/lisp/cedet/semantic/idle.elc
+share/emacs/${PKGVERSION}/lisp/cedet/semantic/imenu.el.gz
+share/emacs/${PKGVERSION}/lisp/cedet/semantic/imenu.elc
 share/emacs/${PKGVERSION}/lisp/cedet/semantic/java.el.gz
 share/emacs/${PKGVERSION}/lisp/cedet/semantic/java.elc
 share/emacs/${PKGVERSION}/lisp/cedet/semantic/lex-spp.el.gz
@@ -1439,6 +1448,10 @@
 share/emacs/${PKGVERSION}/lisp/cedet/semantic/wisent/javat-wy.elc
 share/emacs/${PKGVERSION}/lisp/cedet/semantic/wisent/js-wy.el.gz
 share/emacs/${PKGVERSION}/lisp/cedet/semantic/wisent/js-wy.elc
+share/emacs/${PKGVERSION}/lisp/cedet/semantic/wisent/python-wy.el.gz
+share/emacs/${PKGVERSION}/lisp/cedet/semantic/wisent/python-wy.elc
+share/emacs/${PKGVERSION}/lisp/cedet/semantic/wisent/python.el.gz
+share/emacs/${PKGVERSION}/lisp/cedet/semantic/wisent/python.elc
 share/emacs/${PKGVERSION}/lisp/cedet/semantic/wisent/wisent.el.gz
 share/emacs/${PKGVERSION}/lisp/cedet/semantic/wisent/wisent.elc
 share/emacs/${PKGVERSION}/lisp/cedet/srecode.el.gz
@@ -1500,8 +1513,6 @@
 share/emacs/${PKGVERSION}/lisp/comint.elc
 share/emacs/${PKGVERSION}/lisp/compare-w.el.gz
 share/emacs/${PKGVERSION}/lisp/compare-w.elc
-share/emacs/${PKGVERSION}/lisp/complete.el.gz
-share/emacs/${PKGVERSION}/lisp/complete.elc
 share/emacs/${PKGVERSION}/lisp/completion.el.gz
 share/emacs/${PKGVERSION}/lisp/completion.elc
 share/emacs/${PKGVERSION}/lisp/composite.el.gz
@@ -1559,6 +1570,8 @@
 share/emacs/${PKGVERSION}/lisp/dos-w32.elc
 share/emacs/${PKGVERSION}/lisp/double.el.gz
 share/emacs/${PKGVERSION}/lisp/double.elc
+share/emacs/${PKGVERSION}/lisp/dynamic-setting.el.gz
+share/emacs/${PKGVERSION}/lisp/dynamic-setting.elc
 share/emacs/${PKGVERSION}/lisp/ebuff-menu.el.gz
 share/emacs/${PKGVERSION}/lisp/ebuff-menu.elc
 share/emacs/${PKGVERSION}/lisp/echistory.el.gz
@@ -1713,6 +1726,8 @@
 share/emacs/${PKGVERSION}/lisp/emacs-lisp/rx.elc
 share/emacs/${PKGVERSION}/lisp/emacs-lisp/shadow.el.gz
 share/emacs/${PKGVERSION}/lisp/emacs-lisp/shadow.elc
+share/emacs/${PKGVERSION}/lisp/emacs-lisp/smie.el.gz
+share/emacs/${PKGVERSION}/lisp/emacs-lisp/smie.elc
 share/emacs/${PKGVERSION}/lisp/emacs-lisp/sregex.el.gz
 share/emacs/${PKGVERSION}/lisp/emacs-lisp/sregex.elc
 share/emacs/${PKGVERSION}/lisp/emacs-lisp/syntax.el.gz
@@ -1973,8 +1988,6 @@
 share/emacs/${PKGVERSION}/lisp/font-core.elc
 share/emacs/${PKGVERSION}/lisp/font-lock.el.gz
 share/emacs/${PKGVERSION}/lisp/font-lock.elc
-share/emacs/${PKGVERSION}/lisp/font-setting.el.gz
-share/emacs/${PKGVERSION}/lisp/font-setting.elc
 share/emacs/${PKGVERSION}/lisp/format-spec.el.gz
 share/emacs/${PKGVERSION}/lisp/format-spec.elc
 share/emacs/${PKGVERSION}/lisp/format.el.gz
@@ -2709,6 +2722,8 @@
 share/emacs/${PKGVERSION}/lisp/net/sasl-ntlm.elc
 share/emacs/${PKGVERSION}/lisp/net/sasl.el.gz
 share/emacs/${PKGVERSION}/lisp/net/sasl.elc
+share/emacs/${PKGVERSION}/lisp/net/secrets.el.gz
+share/emacs/${PKGVERSION}/lisp/net/secrets.elc
 share/emacs/${PKGVERSION}/lisp/net/snmp-mode.el.gz
 share/emacs/${PKGVERSION}/lisp/net/snmp-mode.elc
 share/emacs/${PKGVERSION}/lisp/net/socks.el.gz
@@ -2749,6 +2764,8 @@
 share/emacs/${PKGVERSION}/lisp/net/zeroconf.elc
 share/emacs/${PKGVERSION}/lisp/newcomment.el.gz
 share/emacs/${PKGVERSION}/lisp/newcomment.elc
+share/emacs/${PKGVERSION}/lisp/notifications.el.gz
+share/emacs/${PKGVERSION}/lisp/notifications.elc
 share/emacs/${PKGVERSION}/lisp/novice.el.gz
 share/emacs/${PKGVERSION}/lisp/novice.elc
 share/emacs/${PKGVERSION}/lisp/nxml/TODO
@@ -2802,6 +2819,8 @@
 share/emacs/${PKGVERSION}/lisp/nxml/xsd-regexp.elc
 share/emacs/${PKGVERSION}/lisp/obsolete/awk-mode.el.gz
 share/emacs/${PKGVERSION}/lisp/obsolete/awk-mode.elc
+share/emacs/${PKGVERSION}/lisp/obsolete/complete.el.gz
+share/emacs/${PKGVERSION}/lisp/obsolete/complete.elc
 share/emacs/${PKGVERSION}/lisp/obsolete/fast-lock.el.gz
 share/emacs/${PKGVERSION}/lisp/obsolete/fast-lock.elc
 share/emacs/${PKGVERSION}/lisp/obsolete/iso-acc.el.gz
@@ -2827,6 +2846,8 @@
 share/emacs/${PKGVERSION}/lisp/obsolete/rnews.elc
 share/emacs/${PKGVERSION}/lisp/obsolete/rnewspost.el.gz
 share/emacs/${PKGVERSION}/lisp/obsolete/rnewspost.elc
+share/emacs/${PKGVERSION}/lisp/obsolete/s-region.el.gz
+share/emacs/${PKGVERSION}/lisp/obsolete/s-region.elc
 share/emacs/${PKGVERSION}/lisp/obsolete/sc.el.gz
 share/emacs/${PKGVERSION}/lisp/obsolete/sc.elc
 share/emacs/${PKGVERSION}/lisp/obsolete/scribe.el.gz
@@ -2849,6 +2870,8 @@
 share/emacs/${PKGVERSION}/lisp/org/org-attach.elc
 share/emacs/${PKGVERSION}/lisp/org/org-bbdb.el.gz
 share/emacs/${PKGVERSION}/lisp/org/org-bbdb.elc
+share/emacs/${PKGVERSION}/lisp/org/org-beamer.el.gz
+share/emacs/${PKGVERSION}/lisp/org/org-beamer.elc
 share/emacs/${PKGVERSION}/lisp/org/org-bibtex.el.gz
 share/emacs/${PKGVERSION}/lisp/org/org-bibtex.elc
 share/emacs/${PKGVERSION}/lisp/org/org-clock.el.gz
@@ -2859,10 +2882,16 @@
 share/emacs/${PKGVERSION}/lisp/org/org-compat.elc
 share/emacs/${PKGVERSION}/lisp/org/org-crypt.el.gz
 share/emacs/${PKGVERSION}/lisp/org/org-crypt.elc
+share/emacs/${PKGVERSION}/lisp/org/org-ctags.el.gz
+share/emacs/${PKGVERSION}/lisp/org/org-ctags.elc
 share/emacs/${PKGVERSION}/lisp/org/org-datetree.el.gz
 share/emacs/${PKGVERSION}/lisp/org/org-datetree.elc
 share/emacs/${PKGVERSION}/lisp/org/org-docbook.el.gz
 share/emacs/${PKGVERSION}/lisp/org/org-docbook.elc
+share/emacs/${PKGVERSION}/lisp/org/org-docview.el.gz
+share/emacs/${PKGVERSION}/lisp/org/org-docview.elc
+share/emacs/${PKGVERSION}/lisp/org/org-entities.el.gz
+share/emacs/${PKGVERSION}/lisp/org/org-entities.elc
 share/emacs/${PKGVERSION}/lisp/org/org-exp-blocks.el.gz
 share/emacs/${PKGVERSION}/lisp/org/org-exp-blocks.elc
 share/emacs/${PKGVERSION}/lisp/org/org-exp.el.gz
@@ -3240,8 +3269,6 @@
 share/emacs/${PKGVERSION}/lisp/rot13.elc
 share/emacs/${PKGVERSION}/lisp/ruler-mode.el.gz
 share/emacs/${PKGVERSION}/lisp/ruler-mode.elc
-share/emacs/${PKGVERSION}/lisp/s-region.el.gz
-share/emacs/${PKGVERSION}/lisp/s-region.elc
 share/emacs/${PKGVERSION}/lisp/savehist.el.gz
 share/emacs/${PKGVERSION}/lisp/savehist.elc
 share/emacs/${PKGVERSION}/lisp/saveplace.el.gz
Index: distinfo
===================================================================
RCS file: /cvsroot/pkgsrc-wip/wip/emacs-current/distinfo,v
retrieving revision 1.18
diff -u -u -r1.18 distinfo
--- distinfo	18 Jun 2009 08:39:01 -0000	1.18
+++ distinfo	11 Jun 2010 15:56:40 -0000
@@ -1,4 +1,5 @@
 $NetBSD$
 
-SHA1 (patch-ab) = f56a53c0e0ebf23505500b851a1766ea8b9c18f6
+SHA1 (patch-ab) = fc08c2c9fb99ebc12ad20b60bbf2b4fc1b536c12
 SHA1 (patch-ac) = 727439e174f1febd7fba2174a70a4e781414028d
+SHA1 (patch-ad) = 6a5d9f0540f963bfd751ac2c128007f31de89205
Index: options.mk
===================================================================
RCS file: /cvsroot/pkgsrc-wip/wip/emacs-current/options.mk,v
retrieving revision 1.19
diff -u -u -r1.19 options.mk
--- options.mk	8 Feb 2010 21:03:12 -0000	1.19
+++ options.mk	11 Jun 2010 15:56:40 -0000
@@ -15,7 +15,7 @@
 ### Check incompatible option sets.
 ###
 .if !empty(PKG_OPTIONS:Mnextstep) && !empty(PKG_OPTIONS:Mxft2)
-PKG_FAIL_REASON+=	`xft2' options is incompatible with `nextstep' option.
+PKG_FAIL_REASON+=	xft2 options is incompatible with nextstep option.
 .endif
 
 ###
Index: version.mk
===================================================================
RCS file: /cvsroot/pkgsrc-wip/wip/emacs-current/version.mk,v
retrieving revision 1.1
diff -u -u -r1.1 version.mk
--- version.mk	6 May 2009 04:22:14 -0000	1.1
+++ version.mk	11 Jun 2010 15:56:40 -0000
@@ -1,11 +1,10 @@
 # $NetBSD: version.mk,v 1.2 2008/10/11 09:56:38 uebayasi Exp $
 
 _EMACS_FLAVOR=	emacs
-_EMACS_REQD=	emacs>=23
+_EMACS_REQD=	emacs>=24
 _EMACS_PKGDEP.base=
 _EMACS_PKGDEP.leim=
 
-_EMACS_VERSION_MAJOR=	23
+_EMACS_VERSION_MAJOR=	24
 _EMACS_VERSION_MINOR=	0
-_EMACS_VERSION_MICRO=	93
-
+_EMACS_VERSION_MICRO=	50
Index: patches/patch-ab
===================================================================
RCS file: /cvsroot/pkgsrc-wip/wip/emacs-current/patches/patch-ab,v
retrieving revision 1.10
diff -u -u -r1.10 patch-ab
--- patches/patch-ab	29 Apr 2009 07:53:22 -0000	1.10
+++ patches/patch-ab	11 Jun 2010 15:56:40 -0000
@@ -1,8 +1,8 @@
 $NetBSD$
 
---- configure.orig	2009-04-28 02:45:09.000000000 +0000
-+++ configure
-@@ -1856,7 +1856,7 @@ archlibdir='${libexecdir}/emacs/${versio
+--- work/emacs/configure.orig	2010-06-08 00:51:58.000000000 +0900
++++ configure	2010-06-08 00:53:33.000000000 +0900
+@@ -2523,7 +2523,7 @@
  docdir='${datadir}/emacs/${version}/etc'
  gamedir='${localstatedir}/games/emacs'
  
@@ -11,15 +11,14 @@
  
  
  
-@@ -9405,9 +9405,9 @@ if test "${HAVE_NS}" = yes; then
+@@ -7457,9 +7457,9 @@
    window_system=nextstep
    with_xft=no
    # set up packaging dirs
--  exec_prefix=${ns_appbindir}
--  libexecdir=${ns_appbindir}/libexec
-   if test "${EN_NS_SELF_CONTAINED}" = yes; then
-+     exec_prefix=${ns_appbindir}
-+     libexecdir=${ns_appbindir}/libexec
++  if test "${EN_NS_SELF_CONTAINED}" = yes; then
+   exec_prefix=${ns_appbindir}
+   libexecdir=${ns_appbindir}/libexec
+-  if test "${EN_NS_SELF_CONTAINED}" = yes; then
       prefix=${ns_appresdir}
    fi
- fi
+   ns_frag=$srcdir/src/ns.mk
